- Qt 5.0
- Qt 5.0.0 Reference Documentation

# Todo QML Type

The Todo element provides a task which should be completed. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- allDay : bool
- dueDateTime : date
- finishedDateTime : date
- percentageComplete : int
- priority : enumeration
- recurrence : Recurrence
- startDateTime : date
- status : enumeration

## Signals

- onItemChanged()

## Detailed Description

See also OrganizerItem, Event, EventOccurrence, Journal, TodoOccurrence, Note, and QOrganizerTodo.

## Property Documentation

allDay : bool

This property indicates whether the time-of-day component of the Todo's start date-time or due date-time is insignificant. If allDay is true, the time-of-day component is considered insignificant, and the todo will be an all-day item.

dueDateTime : date

This property holds the date time by which the task should be completed.

finishedDateTime : date

This property holds the date and time at which the task was completed, if known.

percentageComplete : int

This property holds the percentage of progress completed on the task described by the todo item.

priority : enumeration

This property holds the priority of the todo item. The value can be one of:

- Priority.Unknown
- Priority.Highest
- Priority.ExtremelyHigh
- Priority.VeryHigh
- Priority.High
- Priority.Medium
- Priority.Low
- Priority.VeryLow
- Priority.ExtremelyLow
- Priority.Lowest

recurrence : Recurrence

This property holds the recurrence element of the todo item.

startDateTime : date

This property holds the date time at which the task should be started.

status : enumeration

This property holds the progress status of the task described by the todo. The value can be one of:

- TodoProgress.NotStarted
- TodoProgress.InProgress
- TodoProgress.Complete

## Signal Documentation

onItemChanged()

Note: The corresponding handler is `onOnItemChanged`.

See also OrganizerItem::onItemChanged.